Edit a form

PATCH/forms/form/{uuid}

Path parameters

  • uuidstringRequired#
    Unique identifier for the form.

Request body

Body shape: ObjectResponse (required)

Responses

200Updated form definition.FormResource
/** Imported from delio-core. */
interface FormResource {
  /** name from delio-core. */
  name: string
  /** uuid from delio-core. */
  uuid: string
  /** description from delio-core. */
  description?: unknown
  /** state from delio-core. */
  state?: unknown
  /** formFields from delio-core. */
  formFields?: FormFieldResource[]
  /** formPages from delio-core. */
  formPages?: FormPageResource[]
  /** formSettings from delio-core. */
  formSettings?: FormSettingResource[]
  /** formType from delio-core. */
  formType?: unknown
  /** editorValidator from delio-core. */
  editorValidator?: unknown
}
401Unauthorized.Error
404Form not found.Error
curl -X PATCH https://your-url.com/kong/core/api/gateway/forms/form/{uuid}\
  -H "Authorization: Bearer $DELIO_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{}'